function [fid errorMsg] = mmmbOpenBinaryFile(szFileName)

% Global Variables used to speed file access
global MMMBLASTFNCANIMATSTATE; % Used as a BOOL
global MMMBLASTITERATION; % Last scenario iteration accessed
global MMMB_SUMMARY; % Saves summary information.


MMMBLASTFNCANIMATSTATE = 0; % Treated like a boolean, 0 = FALSE.
MMMBLASTITERATION = -1;
MMMB_SUMMARY = [];


[fid, errorMsg] = fopen(szFileName, 'r+');
if fid == -1
    return;
end

% Set the global short summary.
[MMMB_SUMMARY, errorMsg] = mbsGetBinaryShortSceParamsSummary(fid);
if isempty(MMMB_SUMMARY)
    return;
end


