function AESTATE = ReadAcousticExposureState(fid)

AESTATE = struct(...
    'lat', [], ...
    'lon', [], ...
    'active', [] ...
    )


%--------------------------------------------------------%
% Read the Scenario Parameters
%-----------------------------%
% Get from the binary file:
%   (1) 3mb libary version number
%   (2) total number of animats in the scenario
%   (3) number of iterations
%   (4) the start time.
params = ReadScenarioParams(fidBin);

%--------------------------------------------------------%
% Set the file pointer to the location where acoustic
% state begins
%-------------%
% ae state = 32 bytes (see mmmbsDataTypes.h
fseek(fid, -params.numIterations * 32, 'eof');

%--------------------------------------------------------%
% Read in the acoustic states
%----------------------------%
for n=1:params.numIterations
fread(fid, , 